Bug 809944 - Guvnor work item editor generates wrong URLs to icons for service tasks
Guvnor work item editor generates wrong URLs to icons for service tasks
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: BRMS 5.3.0.GA
Assigned To: Ryan Zhang
Sona Mala
: Regression
Depends On:
Blocks: 1080634
  Show dependency treegraph
 
Reported: 2012-04-04 13:31 EDT by Jiri Svitak
Modified: 2015-06-01 21:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Svitak 2012-04-04 13:31:11 EDT
BRMS ER5 Guvnor work item editor generates wrong URLs to icons for service tasks. In the work item palette, you can choose from available icons and the work item editor generates a URL for that icon in the position of cursor. However generated url 

http://localhost:8080/drools-guvnor/rest/packages/defaultPackage/assets/defaultemailicon/binary

contains 'drools-guvnor' which comes from community project. You have to retype it to 'jboss-brms'. Most likely user does not notice that retyping is necessary. New Service Task is available in Designer, but it lacks its icon. BRMS user should not be confused with that.
Comment 1 Tihomir Surdilovic 2012-04-11 19:55:48 EDT
The URL is configurable now. Added new property in Guvnors preferences.properties:

guvnor.url=http://localhost:8080/drools-guvnor

You can change this to 

guvnor.url=http://localhost:8080/jboss-brms

for the product.
Comment 2 Ryan Zhang 2012-04-23 03:37:01 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 3 Jiri Svitak 2012-04-25 05:07:45 EDT
Not fixed in BRMS 5.3.0 ER6. The change above in preference.properties file should have been done by productization team. Reassigning to Ryan.
Comment 4 Ryan Zhang 2012-04-25 07:31:53 EDT
Thanks Jiri.
This is fixed in product branch now. Update the status.
Comment 5 Ryan Zhang 2012-05-14 04:16:35 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 6 Sona Mala 2014-07-02 06:55:24 EDT
The "preferences.properties" contains a wrong default value of the "guvnor.url" property in 5.3.1.BRMS-P05.

This property contains community URL not product URL.
Comment 7 Petr Široký 2014-07-17 05:11:11 EDT
The property value should be fixed with the latest build. Sona, could you please verify?
Comment 8 Sona Mala 2014-07-17 11:30:38 EDT
The file "BZ-1080634.zip" contains jboss-brms.war/WEB-INF/classes/preferences.properties with the correct URL (http://localhost:8080/jboss-brms).

Note You need to log in before you can comment on or make changes to this bug.